# std::valarray::swap

From cppreference.com
< cpp‎ | numeric‎ | valarray

void swap( valarray& other ); |  |

Swaps the contents with those of `other`.

### Parameters

other | - | another valarray to swap the contents with

### Return value

(none)

### Exceptions

(none) | (until C++11)
`noexcept` specification: noexcept | (since C++11)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/numeric/valarray/swap&oldid=91448"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template